%define realname IO-stringy
%define	name	perl-%{realname}
%define	version	2.110
%define	release	%mkrel 5

Summary:	Perl module for I/O on in-core objects like strings and arrays
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%else
BuildRequires:	perl
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, the IO::Scalar manpage, the IO::ScalarArray manpage, and the
IO::Lines manpage.

If you have access to tie(), these classes will make use of the the
IO::WrapTie manpage module to inherit a convenient new_tie()
constructor. It also exports a nice wraptie() function.

In the more-traditional IO::Handle front, we have the IO::AtomicFile
manpage which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have the IO::Wrap manpage,
whose exported wraphandle() function will clothe anything that's not a
blessed object in an IO::Handle-like wrapper... so you can just use OO
syntax and stop worrying about whether your function's caller handed you
a string, a globref, or a FileHandle.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/IO



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.110-5mdv2009.0
+ Revision: 223799
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.110-4mdv2008.1
+ Revision: 180413
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.110-3mdv2008.0
+ Revision: 23391
- rebuild


* Fri Apr 28 2006 Scott Karns <scottk@mandriva.org> 2.110-2mdk
- Updated specfile to meet current perl packaging policies

* Thu Feb 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.110-1mdk
- 2.110

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.109-1mdk
- 2.109

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.108-7mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.108-6mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.108-5mdk
- rebuild for new auto{prov,req}

